about news contact video downloads faq



download the audio palette companion application here

Requires mac OS 10.5 or later

PLEASE NOTE: as of v1.2 for audio palette, users can also use the HTTP wifi upload included in the app from any web browser instead of using the companion app.